curl --request POST \
--url https://api.tandapay.io/api/b2b/fiat/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1000,
"currency": "KES",
"country": "KE",
"destination": "MoMo",
"externalReference": "payout_5531",
"payoutMethod": {
"accountName": "Grace Achieng",
"accountNumber": "254712345678",
"code": "mpesa"
}
}
'{
"success": true,
"message": "Withdrawal Request Accepted for Processing.",
"transactionId": "pY7tR5eW3qA1sD9fG2hJ"
}{
"success": false,
"message": "Unauthorized"
}{
"success": false,
"message": "Duplicate external reference",
"errorCode": "DUPLICATE_EXTERNAL_REFERENCE"
}{
"success": false,
"message": "Insufficient funds",
"errorCode": "INSUFFICIENT_FUNDS"
}Payouts
Create payout
Send KES to a wallet, bank account, paybill or till.
POST
/
api
/
b2b
/
fiat
/
payout
curl --request POST \
--url https://api.tandapay.io/api/b2b/fiat/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1000,
"currency": "KES",
"country": "KE",
"destination": "MoMo",
"externalReference": "payout_5531",
"payoutMethod": {
"accountName": "Grace Achieng",
"accountNumber": "254712345678",
"code": "mpesa"
}
}
'{
"success": true,
"message": "Withdrawal Request Accepted for Processing.",
"transactionId": "pY7tR5eW3qA1sD9fG2hJ"
}{
"success": false,
"message": "Unauthorized"
}{
"success": false,
"message": "Duplicate external reference",
"errorCode": "DUPLICATE_EXTERNAL_REFERENCE"
}{
"success": false,
"message": "Insufficient funds",
"errorCode": "INSUFFICIENT_FUNDS"
}Walkthrough: Sending payouts. Use the example selector on the right to see each destination.
Authorizations
Token from Generate bearer token.
Body
application/json
- Recipient details
- Saved beneficiary
Amount in KES.
Example:
1000
ISO 4217 currency code. Tanda supports KES.
Available options:
KES Example:
"KES"
ISO 3166-1 alpha-2 country code. Tanda supports KE.
Available options:
KE Example:
"KE"
Where the money goes.
Available options:
MoMo, Bank Account, Paybill, Till Example:
"MoMo"
Your unique ID for this transaction. Must be unique per attempt; reuse returns 409 DUPLICATE_EXTERNAL_REFERENCE.
Example:
"order_10045"
Show child attributes
Show child attributes

